#ifndef PRIVACYWIDGET_H
#define PRIVACYWIDGET_H

#include <QWidget>
#include <QTimer>
#include "CHttpBll.h"

namespace Ui {
class privacyWidget;
}

class privacyWidget : public QWidget
{
    Q_OBJECT

public:
    explicit privacyWidget(QWidget *parent = nullptr);
    ~privacyWidget();
signals:
    void agreement();
    void disAgreement();
private slots:
    void on_btn_pw_agree_clicked();

    void on_btn_pw_disagree_clicked();

    void on_btn_pw_close_clicked();

	

	void onAgreement(CAgreement agreement);
private:
    void initUI();
	void initAgreement(QString sContent);

    Ui::privacyWidget *ui;
	std::shared_ptr<QTimer> m_pTimer;
	int m_nStaySeconds;
};

#endif // PRIVACYWIDGET_H
